package com.brilliance.isc.bo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
* Module to handle discrepancies
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Btdsnd extends AbstractCommonVo {

        //Additional phrases for Payer
        private  String addphr = NULLSTR;

        //Instructions re usance documents
        private  String usadet = NULLSTR;

        //Create MT 732
        private  String snd732 = NULLSTR;

        //second mail flag
        private  String semflg = NULLSTR;

        //Ammendment Ben. and Iss. Information
        private  String amebeninf = NULLSTR;

        //New Ben. Address
        private  String newbenadr = NULLSTR;

        //NEWBENREF
        private  String newbenref = NULLSTR;


		private Btdgrp btdgrp;

		private Bttp bttp;

	@Override
	public void reset() {
		if (btdgrp == null) {
			btdgrp = new Btdgrp();
		}
		btdgrp.reset();

		if (bttp == null) {
			bttp = new Bttp();
		}
		bttp.reset();
	}

}